net.sf.saxon.z

## Class AbstractIntSet

- java.lang.Object
- - net.sf.saxon.z.AbstractIntSet

- All Implemented Interfaces:
    IntSet
  Direct Known Subclasses:
    IntArraySet, IntBlockSet, IntHashSet, IntRangeSet

      public abstract class AbstractIntSet
      extends Object
      implements IntSet

  Abstract superclass containing helper methods for various implementations of IntSet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractIntSet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsAll(IntSet other)` Test if this set is a superset of another set
    `IntSet` | `except(IntSet other)` Form a new set that is the difference of this set and another set.
    `IntSet` | `intersect(IntSet other)` Form a new set that is the intersection of two IntSets.
    `IntSet` | `union(IntSet other)` Form a new set that is the union of two IntSets.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.z.IntSet

      `add, clear, contains, copy, isEmpty, iterator, mutableCopy, remove, size`

- - ### Constructor Detail

    - #### AbstractIntSet

          public AbstractIntSet()

  - ### Method Detail

    - #### containsAll

          public boolean containsAll(IntSet other)

      Test if this set is a superset of another set
      Specified by:
        `containsAll` in interface `IntSet`
      Parameters:
        `other` - the other set
      Returns:
        true if every item in the other set is also in this set

    - #### union

          public IntSet union(IntSet other)

      Form a new set that is the union of two IntSets.
      Specified by:
        `union` in interface `IntSet`
      Parameters:
        `other` - the second set
      Returns:
        the union of the two sets

    - #### intersect

          public IntSet intersect(IntSet other)

      Form a new set that is the intersection of two IntSets.
      Specified by:
        `intersect` in interface `IntSet`
      Parameters:
        `other` - the second set
      Returns:
        the intersection of the two sets

    - #### except

          public IntSet except(IntSet other)

      Form a new set that is the difference of this set and another set. The result will either be an immutable object, or a newly constructed object.
      Specified by:
        `except` in interface `IntSet`
      Parameters:
        `other` - the second set
      Returns:
        the intersection of the two sets

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.